﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace ForEgiApplicationThing
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        EgiMathStuff EgiMath = new EgiMathStuff();
        public double inputNumber = -1;
        public double radius = -1;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void bGo_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                inputNumber = double.Parse(tbInput.Text);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message + Environment.NewLine + "Please try again. Make sure you input only a number");
                return;
            }
            radius = EgiMath.getRadius(inputNumber);

            GetValues();
        }

        public void GetValues()
        {
            double calcRadius = EgiMath.getRadius(inputNumber);
            tbRadius.Text = Convert.ToString(calcRadius);

            double calcCircumference = EgiMath.getCircumference(radius);
            tbCircum.Text = Convert.ToString(calcCircumference);

            double calcArea = EgiMath.getArea(radius);
            tbArea.Text = Convert.ToString(calcArea);
        }



    }
} //end
